<?xml version="1.0" encoding="utf-8"?>
<CaR>
<Macro Name="Ngons/Regular triangle in circle">
<Parameter name="P1">M</Parameter>
<Parameter name="P2">P</Parameter>
<Comment>
<P>Regular triangle in circle MP.</P>
</Comment>
<Objects>
<Point name="P1" n="0" mainparameter="true" x="-0.8499999999999996" y="0.0625">Point at -0.85, 0.0625</Point>
<Point name="P2" n="1" mainparameter="true" x="2.150000000000001" y="2.4125">Point at 2.15, 2.4125</Point>
<Circle name="k1" n="2" hidden="super" through="P2" midpoint="P1" acute="true">Kreis um P1 durch P2</Circle>
<Angle name="w1" n="3" hidden="super" first="P2" root="P1" fixed="120" acute="true">Angle P2 - P1 with size 120</Angle>
<Intersection name="S1" n="4" target="true" first="w1" second="k1" which="first">Schnitt zwischen w1 und k1</Intersection>
<Angle name="w2" n="5" hidden="super" first="S1" root="P1" fixed="120" acute="true">Angle S1 - P1 with size 120</Angle>
<Intersection name="S2" n="6" target="true" first="w2" second="k1" which="first">Schnitt zwischen w2 und k1</Intersection>
<Segment name="s1" n="7" target="true" from="S1" to="S2">Strecke von S1 nach S2</Segment>
<Segment name="s2" n="8" target="true" from="S2" to="P2">Strecke von S2 nach P2</Segment>
<Segment name="s3" n="9" target="true" from="P2" to="S1">Strecke von P2 nach S1</Segment>
</Objects>
</Macro>
<Macro Name="Ngons/Square in circle">
<Parameter name="P1">M</Parameter>
<Parameter name="P2">P</Parameter>
<Comment>
<P>Square in circle MP.</P>
</Comment>
<Objects>
<Point name="P1" n="0" mainparameter="true" x="0.32499999999999934" y="-0.23749999999999985">Point at 0.325, -0.2375</Point>
<Point name="P2" n="1" mainparameter="true" x="2.275000000000001" y="2.5375">Point at 2.275, 2.5375</Point>
<Circle name="k1" n="2" hidden="super" through="P2" midpoint="P1" acute="true">Kreis um P1 durch P2</Circle>
<Angle name="w1" n="3" hidden="super" first="P2" root="P1" fixed="90" acute="true">Angle P2 - P1 with size 90</Angle>
<Intersection name="S1" n="4" target="true" first="w1" second="k1" which="first">Schnitt zwischen w1 und k1</Intersection>
<Angle name="w2" n="5" hidden="super" first="S1" root="P1" fixed="90" acute="true">Angle S1 - P1 with size 90</Angle>
<Intersection name="S2" n="6" target="true" first="w2" second="k1" which="first">Schnitt zwischen w2 und k1</Intersection>
<Angle name="w3" n="7" hidden="super" first="S2" root="P1" fixed="90" acute="true">Angle S2 - P1 with size 90</Angle>
<Segment name="s1" n="8" target="true" from="S1" to="P2">Strecke von S1 nach P2</Segment>
<Intersection name="S3" n="9" target="true" first="w3" second="k1" which="first">Schnitt zwischen w3 und k1</Intersection>
<Segment name="s2" n="10" target="true" from="P2" to="S3">Strecke von P2 nach S3</Segment>
<Segment name="s3" n="11" target="true" from="S3" to="S2">Strecke von S3 nach S2</Segment>
<Segment name="s4" n="12" target="true" from="S2" to="S1">Strecke von S2 nach S1</Segment>
</Objects>
</Macro>
<Macro Name="Ngons/5-gon">
<Parameter name="P1">M</Parameter>
<Parameter name="P2">P</Parameter>
<Comment>
<P>Regular 5-gon in circle MP.</P>
</Comment>
<Objects>
<Point name="P1" n="0" mainparameter="true" x="-1.3250000000000004" y="0.2125000000000004">Point at -1.325, 0.2125</Point>
<Point name="P2" n="1" mainparameter="true" x="1.6999999999999993" y="2.612500000000001">Point at 1.7, 2.6125</Point>
<Circle name="k1" n="2" hidden="super" through="P2" midpoint="P1" acute="true">Kreis um P1 durch P2</Circle>
<Angle name="w1" n="3" hidden="super" first="P2" root="P1" fixed="72" acute="true">Angle P2 - P1 with size 72</Angle>
<Intersection name="S1" n="4" target="true" first="w1" second="k1" which="first">Schnitt zwischen w1 und k1</Intersection>
<Angle name="w2" n="5" hidden="super" first="S1" root="P1" fixed="72" acute="true">Angle S1 - P1 with size 72</Angle>
<Intersection name="S2" n="6" target="true" first="w2" second="k1" which="first">Schnitt zwischen w2 und k1</Intersection>
<Angle name="w3" n="7" hidden="super" first="S2" root="P1" fixed="72" acute="true">Angle S2 - P1 with size 72</Angle>
<Intersection name="S3" n="8" target="true" first="w3" second="k1" which="first">Schnitt zwischen w3 und k1</Intersection>
<Angle name="w4" n="9" hidden="super" first="S3" root="P1" fixed="72" acute="true">Angle S3 - P1 with size 72</Angle>
<Segment name="s1" n="10" target="true" from="P2" to="S1">Strecke von P2 nach S1</Segment>
<Segment name="s2" n="11" target="true" from="S1" to="S2">Strecke von S1 nach S2</Segment>
<Segment name="s3" n="12" target="true" from="S2" to="S3">Strecke von S2 nach S3</Segment>
<Intersection name="S4" n="13" target="true" first="w4" second="k1" which="first">Schnitt zwischen w4 und k1</Intersection>
<Segment name="s4" n="14" target="true" from="S3" to="S4">Strecke von S3 nach S4</Segment>
<Segment name="s5" n="15" target="true" from="S4" to="P2">Strecke von S4 nach P2</Segment>
</Objects>
</Macro>
<Macro Name="Ngons/6-gon">
<Parameter name="P1">M</Parameter>
<Parameter name="P2">R</Parameter>
<Comment>
<P>Regular 6-gon in circle MP.</P>
</Comment>
<Objects>
<Point name="P1" n="0" mainparameter="true" x="-0.7000000000000003" y="0.5125000000000003">Point at -0.7, 0.5125</Point>
<Point name="P2" n="1" mainparameter="true" x="1.1500000000000006" y="3.4375">Point at 1.15, 3.4375</Point>
<Circle name="k1" n="2" hidden="super" through="P2" midpoint="P1" acute="true">Kreis um P1 durch P2</Circle>
<Angle name="w1" n="3" hidden="super" first="P2" root="P1" fixed="60" acute="true">Angle P2 - P1 with size 60</Angle>
<Intersection name="S1" n="4" target="true" first="w1" second="k1" which="first">Schnitt zwischen w1 und k1</Intersection>
<Angle name="w2" n="5" hidden="super" first="S1" root="P1" fixed="60" acute="true">Angle S1 - P1 with size 60</Angle>
<Intersection name="S2" n="6" target="true" first="w2" second="k1" which="first">Schnitt zwischen w2 und k1</Intersection>
<Angle name="w3" n="7" hidden="super" first="S2" root="P1" fixed="60" acute="true">Angle S2 - P1 with size 60</Angle>
<Intersection name="S3" n="8" target="true" first="w3" second="k1" which="first">Schnitt zwischen w3 und k1</Intersection>
<Angle name="w4" n="9" hidden="super" first="S3" root="P1" fixed="60" acute="true">Angle S3 - P1 with size 60</Angle>
<Intersection name="S4" n="10" target="true" first="w4" second="k1" which="first">Schnitt zwischen w4 und k1</Intersection>
<Angle name="w5" n="11" hidden="super" first="S4" root="P1" fixed="60" acute="true">Angle S4 - P1 with size 60</Angle>
<Intersection name="S5" n="12" target="true" first="w5" second="k1" which="first">Schnitt zwischen w5 und k1</Intersection>
<Segment name="s1" n="13" target="true" from="P2" to="S1">Strecke von P2 nach S1</Segment>
<Segment name="s2" n="14" target="true" from="S1" to="S2">Strecke von S1 nach S2</Segment>
<Segment name="s3" n="15" target="true" from="S2" to="S3">Strecke von S2 nach S3</Segment>
<Segment name="s4" n="16" target="true" from="S3" to="S4">Strecke von S3 nach S4</Segment>
<Segment name="s5" n="17" target="true" from="S4" to="S5">Strecke von S4 nach S5</Segment>
<Segment name="s6" n="18" target="true" from="S5" to="P2">Strecke von S5 nach P2</Segment>
</Objects>
</Macro>
<Macro Name="Ngons/Square from Corner">
<Parameter name="P1">P1</Parameter>
<Parameter name="P2">P2</Parameter>
<Objects>
<Point name="P1" n="0" mainparameter="true" x="-1.1464174454828662" y="0.44859813084112155">Point at -1.1464174, 0.4485981</Point>
<Point name="P2" n="1" mainparameter="true" x="2.6417445482866047" y="-0.6230529595015577">Point at 2.6417445, -0.623053</Point>
<Segment name="s1" n="2" target="true" from="P1" to="P2">Line segment from P1 to P2</Segment>
<Plumb name="p1" n="3" hidden="super" point="P2" line="s1" valid="true">Perpendicular line through P2 to s1</Plumb>
<Circle name="c1" n="4" hidden="super" through="P1" midpoint="P2" acute="true">Circle around P2 through P1</Circle>
<Intersection name="I1" n="5" target="true" first="p1" second="c1" which="first">Intersection between p1 and c1</Intersection>
<Plumb name="p2" n="6" hidden="super" point="I1" line="p1" valid="true">Perpendicular line through I1 to p1</Plumb>
<Plumb name="p3" n="7" hidden="super" point="P1" line="s1" valid="true">Perpendicular line through P1 to s1</Plumb>
<Intersection name="I2" n="8" target="true" first="p3" second="p2">Intersection between p3 and p2</Intersection>
<Segment name="s2" n="9" target="true" from="P2" to="I1">Line segment from P2 to I1</Segment>
<Segment name="s3" n="10" target="true" from="I1" to="I2">Line segment from I1 to I2</Segment>
<Segment name="s4" n="11" target="true" from="I2" to="P1">Line segment from I2 to P1</Segment>
</Objects>
</Macro>
<Macro Name="Ngons/6-gon from Corner">
<Parameter name="P5">P5</Parameter>
<Parameter name="P6">P6</Parameter>
<Objects>
<Point name="P5" n="0" x="-2.018691588785047" y="-2.068535825545171">Point at -2.0186916, -2.0685358</Point>
<Point name="P6" n="1" x="1.0218068535825537" y="-2.118380062305296">Point at 1.0218069, -2.1183801</Point>
<Segment name="s1" n="2" target="true" from="P5" to="P6">Line segment from P5 to P6</Segment>
<Circle name="c1" n="3" hidden="super" through="P6" midpoint="P5" acute="true">Circle around P5 through P6</Circle>
<Circle name="c2" n="4" hidden="super" through="P5" midpoint="P6" acute="true">Circle around P6 through P5</Circle>
<Intersection name="I1" n="5" hidden="super" first="c1" second="c2" which="second">Intersection between c1 and c2</Intersection>
<Circle name="c3" n="6" hidden="super" through="P6" midpoint="I1" acute="true">Circle around I1 through P6</Circle>
<Intersection name="I2" n="7" target="true" first="c3" second="c2" which="second">Intersection between c3 and c2</Intersection>
<Circle name="c4" n="8" hidden="super" through="P6" midpoint="I2" acute="true">Circle around I2 through P6</Circle>
<Intersection name="I3" n="9" target="true" first="c4" second="c3" awayfrom="P6" which="first">Intersection between c4 and c3</Intersection>
<Circle name="c5" n="10" hidden="super" through="I2" midpoint="I3" acute="true">Circle around I3 through I2</Circle>
<Intersection name="I4" n="11" target="true" first="c3" second="c5" which="second">Intersection between c3 and c5</Intersection>
<Circle name="c6" n="12" hidden="super" through="I3" midpoint="I4" acute="true">Circle around I4 through I3</Circle>
<Intersection name="I5" n="13" target="true" first="c6" second="c1" which="first">Intersection between c6 and c1</Intersection>
<Segment name="s2" n="14" target="true" from="P5" to="I5">Line segment from P5 to I5</Segment>
<Segment name="s3" n="15" target="true" from="I5" to="I4">Line segment from I5 to I4</Segment>
<Segment name="s4" n="16" target="true" from="I4" to="I3">Line segment from I4 to I3</Segment>
<Segment name="s5" n="17" target="true" from="I3" to="I2">Line segment from I3 to I2</Segment>
<Segment name="s6" n="18" target="true" from="I2" to="P6">Line segment from I2 to P6</Segment>
</Objects>
</Macro>
</CaR>
